Subject: [newprep] other customers of *prep

From: Marc Blanchet <[email-masked]>
Date: Fri, 14 May 2010 15:38:42 -0400

while reading draft-sheffer-emu-eap-eke-06.txt, I stumbled upon:

section 5.1
    If the password is non-ASCII, it SHOULD be normalized by the sender
    before the EAP-EKE message is constructed.  The normalization method
    is SASLprep, [RFC4013].  Note that the password is not null-
    terminated.

So, in our work, we need to think about the second tier of users of 
nameprep...

Marc.

-- 
=========
IPv6 book: Migrating to IPv6, Wiley. http://www.ipv6book.ca
Stun/Turn server for VoIP NAT-FW traversal: http://numb.viagenie.ca
DTN news service: http://reeves.viagenie.ca
NAT64-DNS64 Opensource: http://ecdysis.viagenie.ca

---

From: Kurt Zeilenga <[email-masked]>
Date: Fri, 14 May 2010 13:51:46 -0700

On May 14, 2010, at 12:38 PM, Marc Blanchet wrote:

> So, in our work, we need to think about the second tier of users of nameprep...

There are a number of uses of SASLprep outside of SASL mechanisms, such as in LDAP Simple Bind [RFC4511].

-- Kurt